Skip to navigation

Query Juris Names

View as Markdown

Access control: this endpoint is available to users with the everyone role.

Security Policies

  • This API depends on the following active services:Returns (at least one of): Mrs, MRSComplianceManager, AvaTaxCsp.Firm Managed (for accounts managed by a firm): ARA, ARAManaged.

Authentication

Authorizationstring
API Key authentication via header

Path parameters

countrystringRequired

The two-character ISO-3166 code for the country.

regionstringRequired
The two or three character region code for the region.

Headers

X-Avalara-ClientstringOptionalDefaults to Swagger UI; 26.7.0; Custom; 1.0

Identifies the software you are using to call this API. For more information on the client header, see Client Headers .

Query parameters

effectiveDatedatetimeOptional
Used to limit the jurisnames returned.
endDatedatetimeOptional
Used to limit the jurisnames returned.
$filterstringOptional

A filter statement to identify specific records to retrieve. For more information on filtering, see Filtering in REST.

$topintegerOptional

If nonzero, return no more than this number of results. Used with $skip to provide pagination for large datasets. Unless otherwise specified, the maximum number of records that can be returned from an API call is 1,000 records.

$skipintegerOptional

If nonzero, skip this number of results before returning data. Used with $top to provide pagination for large datasets.

$orderBystringOptional

A comma separated list of sort statements in the format (fieldname) [ASC|DESC], for example id ASC.

Response

Success
@recordsetCountintegerOptional
valuelist of objectsOptional
pageKeystringOptional

Errors

400
Bad Request Error
401
Unauthorized Error